# $Revision: 1.45.2.3 $, $Date: 2004/08/09 14:00:30 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_status		stable
%define		_pearname	%{_class}

Summary:	%{_pearname} - main php pear class
Summary(pl):	%{_pearname} - podstawowa klasa dla php pear
Name:		php-pear-%{_pearname}
Version:	1.3.1
Release:	1.2
Epoch:		1
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c2ebbfc4f32b2639d38a9f9dc482a7b5
URL:		http://pear.php.net/package/PEAR/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	sed
Requires:	php-pear
Provides:	pear(StdClass)
provides:	pear(parent)
Provides:	pear(stdClass)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(/usr/src/redhat/RPMS/i386/PEAR) pear(Gtk) pear(Exception)'

%description
The PEAR package contains:
- the PEAR base class
- the PEAR_Error error handling mechanism
- the PEAR installer, for creating, distributing and installing
  packages

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet PEAR zawiara:
- Postawow klas PEAR
- Mechanizm obsugi bdw PEAR_Error
- PEAR installer do tworzenia, dystrybucji i instalowania pakietw

Ta klasa ma w PEAR status: %{_status}.

%package Command
Summary:	%{_pearname}-Command - main php pear class
Summary(pl):	%{_pearname}-Command - podstawowa klasa dla php pear
Group:		Development/Languages/PHP

%description Command
Command class for PEAR.

In PEAR status of this package is: %{_status}.

%description Command -l pl
Klasa Command dla PEARa.

Ta klasa ma w PEAR status: %{_status}.

%package Frontend_CLI
Summary:	%{_pearname}-Frontend_CLI - main php pear class
Summary(pl):	%{_pearname}-Frontend_CLI - podstawowa klasa dla php pear
Group:		Development/Languages/PHP
Requires:	php-pear-Archive_Tar
Requires:	php-pear-Console_Getopt
Obsoletes:	php-pear-devel

%description Frontend_CLI
Command Line Frontend for PEAR.

In PEAR status of this package is: %{_status}.

%description Frontend_CLI -l pl
Interfejs z linii polece dla PEAR-a.

Ta klasa ma w PEAR status: %{_status}.

%package OS
Summary:	%{_pearname}-OS - main php pear class
Summary(pl):	%{_pearname}-OS - podstawowa klasa dla php pear
Group:		Development/Languages/PHP

%description OS
OS_Guess class for PEAR.

In PEAR status of this package is: %{_status}.

%description OS -l pl
Klasa OS_Guess dla PEARa.

Ta klasa ma w PEAR status: %{_status}.

%prep
%setup -q -c

#%build
#cd %{_pearname}-%{version}/scripts
#sed -e "s#@php_bin@#php#" pear.sh > pear.sh.tmp
#mv -f pear.sh.tmp pear.sh
#sed -e "s#@pear_version@#%{_version}#" pear.sh > pear.sh.tmp
#mv -f pear.sh.tmp pear.sh
#sed -e "s#@php_dir@#%{php_pear_dir}#" pear.sh > pear.sh.tmp
#mv -f pear.sh.tmp pear.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir}/{%{_class}/{Command,Frontend},OS},%{_bindir}}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}
install %{_pearname}-%{version}/*.dtd $RPM_BUILD_ROOT%{php_pear_dir}
install %{_pearname}-%{version}/OS/*.php $RPM_BUILD_ROOT%{php_pear_dir}/OS
install %{_pearname}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/%{_class}/Command/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Command
install %{_pearname}-%{version}/%{_class}/Frontend/CLI.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Frontend
install %{_pearname}-%{version}/scripts/pearcmd.php $RPM_BUILD_ROOT%{php_pear_dir}
install %{_pearname}-%{version}/scripts/pear.sh $RPM_BUILD_ROOT%{_bindir}/pear

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}
%{php_pear_dir}/*.php

%files Command
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/Command
%dir %{php_pear_dir}/%{_class}/Frontend
%attr(755,root,root) %{_bindir}/pear
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Command/*.php
%{php_pear_dir}/*.dtd

%files Frontend_CLI
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/Frontend/*.php

%files OS
%defattr(644,root,root,755)
%dir %{php_pear_dir}/OS
%{php_pear_dir}/OS/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR.spec,v $
Revision 1.45.2.3  2004/08/09 14:00:30  blues
- release 1.2

Revision 1.45.2.2  2004/08/09 13:18:49  blues
- release 1.1

Revision 1.45.2.1  2004/08/09 13:18:26  blues
- version RA-specific, for php-4.3

Revision 1.45  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.44  2004/04/07 10:13:48  adamg
- updated to 1.3.1

Revision 1.43  2004/02/22 16:52:51  adamg
- php-pear-Frontend_CLI (/usr/bin/pear) requires php-pear-Archive_Tar and
  php-pear-Console_Getopt

Revision 1.42  2004/02/22 16:48:17  adamg
- %%build section unneeded?

Revision 1.41  2004/02/22 16:25:10  adamg
- updated to 1.3
- status changed to stable

Revision 1.40  2004/02/01 21:45:29  adamg
- updated to 1.3b6

Revision 1.39  2003/12/23 11:16:53  adamg
- updated to 1.3b5

Revision 1.38  2003/10/21 08:06:32  adamg
- updated to 1.3b3

Revision 1.37  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.36  2003/10/02 12:20:45  adamg
- updated to 1.3b2

Revision 1.35  2003/09/29 14:42:50  adamg
- updated 1.3b1

Revision 1.34  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.33  2003/08/15 15:06:37  adamg
- updated to 1.2.1

Revision 1.32  2003/08/14 08:56:46  adamg
- updated to 1.2

Revision 1.31  2003/08/06 06:25:55  adamg
- updated to 1.2b5

Revision 1.30  2003/08/05 06:15:19  adamg
- updated to 1.2b4

Revision 1.29  2003/08/03 20:33:25  adamg
- updated to 1.2b3
- license change from php 2.02 to php 3.0

Revision 1.28  2003/06/23 13:51:03  adamg
- updated to 1.2b2

Revision 1.27  2003/06/22 21:52:47  adamg
- fixed %%build and %%install (hopefully right). Builds...

Revision 1.26  2003/06/14 09:21:46  adamg
- cosmetics

Revision 1.25  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.24  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.23  2003/05/28 08:58:47  adamg
- massive attack: added source0-md5

Revision 1.22  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/19 18:18:38  blues
- applied changes from RA-branch

Revision 1.20  2003/01/11 22:23:11  blues
- 1.0.1

Revision 1.19  2003/01/07 17:34:16  blues
- prepared for removing pear from php

Revision 1.18  2003/01/02 00:26:24  blues
- 1.0 - first stable release

Revision 1.17  2002/11/15 10:56:15  misto
 - reverting reverted (and not needed in HEAD) changes
 - working Ra version branched in RA-branch
 - DON'T MOVE STABLE on HEAD!!!
 - release 2

Revision 1.16  2002/11/12 11:26:00  marcus
- readded Provides erased by mistio to satisfy missing deps
(thanks to blues and PlusGSM)
- rel.2.

Revision 1.15  2002/11/07 17:15:37  blues
- 1.0b1 - noautoreq added

Revision 1.14  2002/10/14 23:50:29  misto
- new rpm-php-requires/provides scripts
- release 6

Revision 1.13  2002/10/14 20:06:54  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 6

Revision 1.12.2.1  2002/10/11 19:32:55  misto
- modified provides/requires for new pear-prov/req rpm scripts

Revision 1.12  2002/09/07 06:20:47  blues
- release 5 - fix in macros, added Provides - STBR

Revision 1.11  2002/07/30 22:43:04  blues
- release 4
- added pear command to package (removed from php-pear-devel)
STBR

Revision 1.10  2002/07/12 22:20:47  blues
- release 3 (rebuild with new rpm)
- gtk frontend removed to external package
- command-line frontend in separate package
- new provides (one not exactly right)

Revision 1.9  2002/07/12 16:00:26  blues
- added provides(stdClass) - temporary empty class

Revision 1.8  2002/07/03 23:55:14  kloczek
- release 2.

Revision 1.7  2002/07/02 10:19:16  blues
- Req: php-pear

Revision 1.6  2002/06/30 22:20:59  blues
- small fix

Revision 1.5  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.4  2002/06/29 14:46:02  blues
- more macros, fixes in dirs

Revision 1.3  2002/06/24 14:07:22  blues
- separate into 3 subpackages

Revision 1.2  2002/06/24 13:34:16  blues
- there is no docs...

Revision 1.1  2002/06/24 13:30:40  blues
- main PEAR class. Should be split into subpackages.
